Profit and loss for a date window from TikTok's settlement statements
GET
/api/public/v1/tik_tok_shop/finance/pnlConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopPnl
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/finance/pnl?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required |
| end_date | query | string (date) | required |
| group_by | query | string | One of totaldaysku Default total |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| basis | string, nullable | |
| coverage | object, nullable | |
| coverage.ordersFailed | number, nullable | |
| coverage.ordersNeeded | number, nullable | |
| coverage.ordersRead | number, nullable | |
| coverage.statementPages | number, nullable | |
| coverage.statementsFailed | number, nullable | |
| coverage.transactionPages | number, nullable | |
| coverage.transactionRows | number, nullable | |
| currency | string, nullable | |
| groupBy | string, nullable | |
| groups | array of object, nullable | |
| groups[].[].adjustments | string, nullable | |
| groups[].[].adjustmentsByType | object, nullable | |
| groups[].[].affiliateCommission | string, nullable | |
| groups[].[].cogs | object, nullable | |
| groups[].[].cogs.amount | string, nullable | |
| groups[].[].cogs.complete | boolean, nullable | |
| groups[].[].cogs.units | string, nullable | |
| groups[].[].cogs.unitsCosted | string, nullable | |
| groups[].[].fees | object, nullable | |
| groups[].[].fees.affiliateCommissionAmount | string, nullable | |
| groups[].[].fees.platformCommissionAmount | string, nullable | |
| groups[].[].fees.referralFeeAmount | string, nullable | |
| groups[].[].feesAndTaxes | string, nullable | |
| groups[].[].grossProfit | string, nullable | |
| groups[].[].key | string, nullable | |
| groups[].[].platformCommission | string, nullable | |
| groups[].[].refunds | object, nullable | |
| groups[].[].refunds.refundSubtotalBeforeDiscountAmount | string, nullable | |
| groups[].[].refunds.sellerDiscountRefundAmount | string, nullable | |
| groups[].[].reserve | string, nullable | |
| groups[].[].revenue | string, nullable | |
| groups[].[].revenueBreakdown | object, nullable | |
| groups[].[].revenueBreakdown.sellerDiscountAmount | string, nullable | |
| groups[].[].revenueBreakdown.subtotalBeforeDiscountAmount | string, nullable | |
| groups[].[].rows | object, nullable | |
| groups[].[].rows.adjustments | number, nullable | |
| groups[].[].rows.orders | number, nullable | |
| groups[].[].rows.reserves | number, nullable | |
| groups[].[].rows.skus | number, nullable | |
| groups[].[].settlement | string, nullable | |
| groups[].[].shipping | string, nullable | |
| groups[].[].shippingBreakdown | object, nullable | |
| groups[].[].shippingBreakdown.actualShippingFeeAmount | string, nullable | |
| groups[].[].taxes | object, nullable | |
| groups[].[].taxes.salesTaxReferralFeeAmount | string, nullable | |
| groups[].[].units | string, nullable | |
| skusWithoutCogs | array of object | |
| statements | object, nullable | |
| statements.fullyRead | number, nullable | |
| statements.headerTotals | object, nullable | |
| statements.headerTotals.adjustmentAmount | string, nullable | |
| statements.headerTotals.feeAmount | string, nullable | |
| statements.headerTotals.netSalesAmount | string, nullable | |
| statements.headerTotals.revenueAmount | string, nullable | |
| statements.headerTotals.settlementAmount | string, nullable | |
| statements.headerTotals.shippingCostAmount | string, nullable | |
| statements.listed | number, nullable | |
| truncated | boolean, nullable | |
| truncatedReasons | array of object | |
| unallocated | , nullable | |
| window | object, nullable | |
| window.endDate | string, nullable | |
| window.startDate | string, nullable |
Example
{
"basis": "string",
"coverage": {
"ordersFailed": 125.5,
"ordersNeeded": 125.5,
"ordersRead": 125.5,
"statementPages": 125.5,
"statementsFailed": 125.5,
"transactionPages": 125.5,
"transactionRows": 125.5
},
"currency": "usd",
"groupBy": "string",
"groups": [
{
"adjustments": "string",
"adjustmentsByType": {},
"affiliateCommission": "string",
"cogs": {
"amount": "string",
"complete": true,
"units": "string",
"unitsCosted": "string"
},
"fees": {
"affiliateCommissionAmount": "string",
"platformCommissionAmount": "string",
"referralFeeAmount": "string"
},
"feesAndTaxes": "string",
"grossProfit": "string",
"key": "string",
"platformCommission": "string",
"refunds": {
"refundSubtotalBeforeDiscountAmount": "string",
"sellerDiscountRefundAmount": "string"
},
"reserve": "string",
"revenue": "string",
"revenueBreakdown": {
"sellerDiscountAmount": "string",
"subtotalBeforeDiscountAmount": "string"
},
"rows": {
"adjustments": 125.5,
"orders": 125.5,
"reserves": 125.5,
"skus": 125.5
},
"settlement": "string",
"shipping": "string",
"shippingBreakdown": {
"actualShippingFeeAmount": "string"
},
"taxes": {
"salesTaxReferralFeeAmount": "string"
},
"units": "string"
}
],
"skusWithoutCogs": [
"string"
],
"statements": {
"fullyRead": 125.5,
"headerTotals": {
"adjustmentAmount": "string",
"feeAmount": "string",
"netSalesAmount": "string",
"revenueAmount": "string",
"settlementAmount": "string",
"shippingCostAmount": "string"
},
"listed": 125.5
},
"truncated": true,
"truncatedReasons": [
"string"
],
"unallocated": "string",
"window": {
"endDate": "string",
"startDate": "string"
}
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.